#!/share/Apps/local/bin/bash

printf "Access-Control-Allow-Origin: *\r\n"
printf "Content-type: application/json\r\n\r\n"

[ -z "$POST_STRING" -a "$REQUEST_METHOD" = "POST" -a ! -z "$CONTENT_LENGTH" ] && read -n $CONTENT_LENGTH POST_STRING

QUERY_STRING=$(echo $QUERY_STRING|sed 's|\[=\]|\[-\]|g')

saveIFS=$IFS
IFS='=&'
parm_get=($QUERY_STRING)
parm_post=($POST_STRING)
IFS=$saveIFS

declare -A get
declare -A post
for ((i=0; i<${#parm_get[@]}; i+=2))
do
    declare get[${parm_get[i]}]=${parm_get[i+1]}
done
for ((i=0; i<${#parm_post[@]}; i+=2))
do
    declare post[${parm_post[i]}]=${parm_post[i+1]}
done

PHP=$(type php|cut -d' ' -f3)
if [ "$PHP" = "" ];then
    echo "PHP not found"
    exit
else
    cd ../
    command="$PHP cgi-bin/getDBdata.php "
    for i in "${!get[@]}"
    do
        #echo "key  : $i"
        #echo "value: ${get[$i]}"
        command+="$i=${get[$i]} "
    done
    $command
fi
